Subject: Ques on RFC 3270 (MPLS Support for DiffServ)

From: Vishal M <[email-masked]>
Date: Fri, 18 Oct 2002 19:34:48 -0700 (PDT)

Hello,

Question on RFC 3270 (MPLS Support for DiffServ),
Section 1.5:

The second paragraph explains about the relationship
between FEC and set of BAs...

Why don't we consider the concept of packet ordering
constaint (i.e. OA) for an E-LSP (say, E-LSP1 and
E-LSP2) ?

Assuming we have two E-LSPs from the same source (S)
to the same destination (D). Now if an incoming
multimedia packet stream from single source (of voice
and video traffic) is to be sent to destination (D),
is it possible to send voice traffic onto E-LSP1 and
video onto E-LSP2 ? 

Why in this section, we have associated OAs with
L-LSPs only (and not with E-LSPs)?

Thanks for all the inputs and pointers,

Regards,
Vishal.

__________________________________________________
Do you Yahoo!?
Y! Web Hosting - Let the expert host your web site
http://webhosting.yahoo.com/

---

From: Shahram Davari <[email-masked]>
Date: Mon, 21 Oct 2002 11:58:19 -0700

Vishal,

What you are asking is outside the scope of RFC3270 and even
out side the scope of Diffserv and MPLS WGs. RFC3270 just tells you
that you could use an L-LSP to carry a single OA. Whether that single
OA consists of voice, or video or voice+video is irrelevant.

-Shahram

> -----Original Message-----
> From: Vishal M [mailto:[email-masked]]
> Sent: Monday, October 21, 2002 2:46 PM
> To: Shahram Davari; [email-masked]
> Cc: [email-masked]
> Subject: RE: Ques on RFC 3270 (MPLS Support for DiffServ)
> 
> 
> 
> Hi Shahram,
> 
> Thanks for the clarification.
> 
> I re-read the relevant sections of RFC 3270 and have
> some confusion trying to understand the concept of
> Ordering Constraint and its usage.
> 
> How does an ingress LSR decide if there is any
> ordering constraint between various packet flows it
> receives. i.e. in Section 1.4 (last para), it says
> that in order to preserve the ordering constraint, all
> possible BAs of a given OA must be sent over same LSP.
> This looks fine, but I have a doubt:
> 
> The question is:
> How does an LSR decide if incoming packets of same
> micro-flow have some ordering constraint? Where is
> this info (of ordering constraint) carried?
> 
> Assuming an video-on-demand application running on a
> host connected to an ingress LSR (doing MPLS DS TE).
> This ingress LSR would receive both voice and video
> packets (destined to different ports) on same
> destination IP Address. Since its a video-on-demand
> application, one would expect ordering constraint to
> synchronize the video with voice contents.
> Now can these video and voice packets be redirected to
> different L-LSPs?
> 
> Could you/someone please clarify this?
> 
> thanks for your time,
> 
> regards,
> Vishal.
> PS: I'm not familiar with video/voice DSPs...the above
> example just tries to provide an example of two
> different classes (i.e. BAs) arriving at an ingress
> LSR destined to same destination.
> 
> --- Shahram Davari <[email-masked]>
> wrote:
> > The label in L-LSP represents only a single OA,
> > while the label in E-LSP may represent:
> > 
> > - A single BA
> > - A single OA
> > - A number of BAs
> > - A number of OAs
> > - A number of BAs and OAs
> > 
> > " A set of BAs" is a generic term that applies to
> > all the above cases.
> > 
> > -Shahram
> > 
> > > -----Original Message-----
> > > From: Vishal M [mailto:[email-masked]]
> > > Sent: Friday, October 18, 2002 10:35 PM
> > > To: [email-masked]
> > > Subject: Ques on RFC 3270 (MPLS Support for
> > DiffServ)
> > > 
> > > 
> > > 
> > > Hello,
> > >